Skip to main content

Order Book

Description​

An order book snapshot is sent immediately after first subscribing.

Pushing Frequency​

The push frequency is the fastest interval 100 millisecond push the data.

Channel​

book

Request Parameters​

ParameterRequiredTypeDescription
eventYesStringOperation: subscribe, unsubscribe
channelYesArraybook
symbolsYesArraytrading pair array
depthNoIntegerDepth levels. Supports 5, 10, 20, default 5.

Request Response​

ParameterTypeDescription
eventStringOperation: subscribe, unsubscribe
channelStringbook
symbolsArraytrading pair array
messageStringError message

Push Data​

ParameterTypeDescription
channelStringbook
dataArrayThe subscribed data
> asksArrayBuy order book
> bidsArraySell order book
> idLongcurrent version id
> tsLongPush time (millisecond)
> sStringLevel of market depth
> cTLongcreate time

Request Example​

{
"event": "subscribe",
"channel": ["book"],
"symbols": ["BTC_USDT_PERP"]
}

Push Data Example​

{
"channel": "book",
"data": [
{
"asks": [
["46100", "9284"]
],
"bids": [
["34400.089", "1"]
],
"id": 954,
"ts": 1718869676586,
"s": "BTC_USDT_PERP",
"cT": 1718869676555
}
]
}